Bug 98369 - clicked on the "view advisory" button in up2date confused app
clicked on the "view advisory" button in up2date confused app
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 15:21 EDT by Shawn Houston
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 17:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Houston 2003-07-01 15:21:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I clicked on the "view advisory" button in up2date after selecting all components:

$ up2date
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1063, in showAdvisory
    advisories = rhnErrata.getAdvisoryInfo(rowData[1])
TypeError: unsubscriptable object
 

After selecting just one the app proceeded. This is a very non-critical bug, but
shows sloppy programming.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run up2date
2.either fail to select a component or select all
3.click "view advisory"
    

Actual Results:  The app generates strange error, the hour glass appears, no
feedback is given that the user can proceed even though in testing they can.

Expected Results:  Either nothing happens (kind of acceptable), or a nice
warning along the lines of "please select one item before clicking view advisory"

Additional info:
Comment 1 Ronan Waide 2003-07-07 08:36:54 EDT
Also happens if you don't select /any/ items on the list.
Comment 2 Adrian Likins 2003-07-09 17:25:01 EDT
I belive both of these should be fixed in 3.1.41 or later.

Note You need to log in before you can comment on or make changes to this bug.